Subject: [spring] draft-ietf-spring-srv6-network-programming-06 - locators

From: Ron Bonica <[email-masked]>
Date: Thu, 12 Dec 2019 19:21:37 +0000

Folks,

This draft version looks much better.

Please consider the following change in Section 3.1:

OLD>

L, the locator length, is flexible, and an operator is free to use the locator length of their choice.

<OLD

NEW>

LOC MUST be drawn from a globally addressable IPv6 unicast prefix or one of the following Special Purpose IPv6 Prefixes [RFC 6890]:

- Benchmarking (i.e., testing only)

- Documentation (i.e., testing only)

- Unique-Local

L, the locator length, MUST be less than or equal to the length of the prefix from which LOC was drawn.

<NEW

Juniper Business Use Only

Juniper Business Use Only

---

From: Robert Raszuk <[email-masked]>
Date: Thu, 12 Dec 2019 20:29:56 +0100

Folks,

I recommend to either update the below proposed text with explicit addition
of RFC4193 Unique Local IPv6 Unicast Addresses as a possible pool or forget
about this proposed change below all together.

Kind regards,
R.

On Thu, Dec 12, 2019 at 8:21 PM Ron Bonica <rbonica=
[email-masked]> wrote:

> Please consider the following change in Section 3..1:
>
>
>
> OLD>
>
> LOC MUST be drawn from a globally addressable IPv6 unicast prefix or one
> of the following Special Purpose IPv6 Prefixes [RFC 6890]:
>
>
>
> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring
>

---

From: Ron Bonica <[email-masked]>
Date: Thu, 12 Dec 2019 20:02:52 +0000

Robert,

RFC 6890 refers to RFC4193 Unique Local IPv6 Unicast Addresses as "Unique Local". So, I used that terminology.

But you are probably correct. We should call them RFC 4193 ULA.

                                                                                          Ron

From: Robert Raszuk <[email-masked]>
Sent: Thursday, December 12, 2019 2:30 PM
To: Ron Bonica <[email-masked]>
Cc: [email-masked]
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming-06 - locators

Folks,

I recommend to either update the below proposed text with explicit addition of RFC4193 Unique Local IPv6 Unicast Addresses as a possible pool or forget about this proposed change below all together.

Kind regards,
R.

On Thu, Dec 12, 2019 at 8:21 PM Ron Bonica <rbonica=[email-masked]<mailto:[email-masked]>> wrote:

Folks,

OLD>

<OLD

NEW>

- Unique-Local

<NEW

Juniper Business Use Only
_______________________________________________
spring mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/spring<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/spring__;!!NEt6yMaO-gk!QNM6paXeEfU3kUk8VGA9Etan2nPDqwPGk1vxbZ7NGa6s_mm5HyAXo-26j_OeltTA$>